GRAMMALECTE(1)

NAME
grammalecte-cli - command-line interface for grammalecte

SYNOPSIS
grammalecte-cli [OPTION]...

DESCRIPTION

Grammalecte is a French language spellchecker, grammar checker and hyphenator.

-h, -?, --help
    show a help message and exit

-f, --file FILE
    parse file (UTF-8 required!) [on Windows, -f is similar to -ff]

-ff, --file_to_file FILE
    parse file (UTF-8 required!) and create a result file (*.res.txt)

-fff, --interactive_file_to_file FILE
    parse file (UTF-8 required!) and create a result file (*.res.txt)

-owe, --only_when_errors
    display results only when there are errors

-j, --json
    generate list of errors in JSON (only with option --file or --file_to_file)

-cl, --concat_lines
    concatenate lines not separated by an empty paragraph (only with option --file or --file_to_file)

-tf, --textformatter
    auto-format text according to typographical rules (not with option --concat_lines)

-tfo, --textformatteronly
    auto-format text and disable grammar checking (only with option --file or --file_to_file)

-ctx, --context
    return errors with context (only with option --json)

-wss, --with_spell_sugg
    add suggestions for spelling errors (only with option --file or --file_to_file)

-pdi, --personal_dict FILE
    load personal dictionary (JSON file)

-w, --width WIDTH
    width in characters (40 < WIDTH < 200; default: 100)

    supported values for WIDTH: 40, 50, 60, 70, 80, 90, 100, 110, 120, 130, 140, 150, 160, 170, 180, 190, 200

-lo, --list_options
    list options

-lr, --list_rules [RULE]...
    list rules [regex pattern as filter]

-sug, --suggest WORD
    get suggestions list for given WORD

-on, --opt-on [OPT]...
    activate options

-off, --opt-off [OPT]...
    deactivate options

-roff, --rule_off [RULE]...
    deactivate rules

-d, --debug
    debugging mode (only in interactive mode)

REPORTING BUGS
Report bugs to <http://code.grammalecte.net:8080/rptview?rn=1>